org.apache.commons.math3.geometry.partitioning.utilities

## Enum AVLTree.Skew

- java.lang.Object
- - java.lang.Enum<AVLTree.Skew>
  - - org.apache.commons.math3.geometry.partitioning.utilities.AVLTree.Skew

- All Implemented Interfaces:
    Serializable, Comparable<AVLTree.Skew>
  Enclosing class:
    AVLTree<T extends Comparable<T>>

      private static enum AVLTree.Skew
      extends Enum<AVLTree.Skew>

  Enum for tree skew factor.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BALANCED` Code for Skew.BALANCED trees.
    `LEFT_HIGH` Code for left high trees.
    `RIGHT_HIGH` Code for right high trees.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AVLTree.Skew` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AVLTree.Skew[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT_HIGH

          public static final AVLTree.Skew LEFT_HIGH

      Code for left high trees.

    - #### RIGHT_HIGH

          public static final AVLTree.Skew RIGHT_HIGH

      Code for right high trees.

    - #### BALANCED

          public static final AVLTree.Skew BALANCED

      Code for Skew.BALANCED trees.

  - ### Method Detail

    - #### values

          public static AVLTree.Skew[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AVLTree.Skew c : AVLTree.Skew.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AVLTree.Skew valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2003-2013 Apache Software Foundation